platform:
  metadata:
    version: 0.2.0
    description: >
      A platform configuration specification for AAVS3.

      This specification addresses the MCCS view of the AAVS3.
      For example, when we refer to the IP address of a TPM,
      we are referring to the IP address on which the MCCS monitors and controls it.

      For file structure details, see
      https://confluence.skatelescope.org/display/SE/MCCS-1628%3A+platform+configuration+specification+file+for+MCCS+deployment

  cluster:
    domain: aavs302.lowitf.internal.skao.int
    services:
      jupyterhub: true
      taranta-platform: true
      tango-base:
        tango-host: databaseds:10000
      skuid:
        url: http://ska-ser-skuid-ska-low-aavs3-svc:9870/
    daq:
      storage_class: daq-data
      runtime_class: nvidia
      gpu_limit: 1
      annotations:
        k8s.v1.cni.cncf.io/networks: kube-system/aavs3-sps

  array:
    name: aavs3
    stations:
      "aavs3":
        id: 1
        reference:
          datum: WGS84
          epoch: "2024.0"
          latitude: -26.704078296
          longitude: 116.670233065
          ellipsoidal_height: 359.495
        sps:
          sdn_first_interface: 10.0.0.152/16
          daq:
            receiver_interface: net1
          subracks:
            sr1:
              srmb_host: 10.137.0.144
              srmb_port: 8081
            sr2:
              srmb_host: 10.137.0.160
              srmb_port: 8081
          tpms:
            tpm01:
              id: 0
              host: 10.137.0.151
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 1
            tpm02:
              id: 1
              host: 10.137.0.152
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 2
            tpm03:
              id: 2
              host: 10.137.0.153
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 3
            tpm04:
              id: 3
              host: 10.137.0.154
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 4
            tpm05:
              id: 4
              host: 10.137.0.155
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 5
            tpm06:
              id: 5
              host: 10.137.0.156
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 6
            tpm07:
              id: 6
              host: 10.137.0.157
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 7
            tpm08:
              id: 7
              host: 10.137.0.158
              port: 10000
              version: tpm_v1_6
              subrack: sr1
              subrack_slot: 8
            tpm09:
              id: 8
              host: 10.137.0.167
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 1
            tpm10:
              id: 9
              host: 10.137.0.168
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 2
            tpm11:
              id: 10
              host: 10.137.0.169
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 3
            tpm12:
              id: 11
              host: 10.137.0.170
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 4
            tpm13:
              id: 12
              host: 10.137.0.171
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 5
            tpm14:
              id: 13
              host: 10.137.0.172
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 6
            tpm15:
              id: 14
              host: 10.137.0.173
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 7
            tpm16:
              id: 15
              host: 10.137.0.174
              port: 10000
              version: tpm_v1_6
              subrack: sr2
              subrack_slot: 8
        pasd:
          fndh:
            gateway:
              host: 10.137.0.129
              port: 5000
              timeout: 10.0
            controller:
              modbus_id: 101
          smartboxes:
            sb01:
              fndh_port: 1
              modbus_id: 1
            sb02:
              fndh_port: 2
              modbus_id: 2
            sb03:
              fndh_port: 3
              modbus_id: 3
            sb04:
              fndh_port: 4
              modbus_id: 4
            sb05:
              fndh_port: 5
              modbus_id: 5
            sb06:
              fndh_port: 6
              modbus_id: 6
            sb07:
              fndh_port: 7
              modbus_id: 7
            sb08:
              fndh_port: 8
              modbus_id: 8
            sb09:
              fndh_port: 9
              modbus_id: 9
            sb10:
              fndh_port: 10
              modbus_id: 10
            sb11:
              fndh_port: 11
              modbus_id: 11
            sb12:
              fndh_port: 12
              modbus_id: 12
            sb13:
              fndh_port: 13
              modbus_id: 13
            sb14:
              fndh_port: 14
              modbus_id: 14
            sb15:
              fndh_port: 15
              modbus_id: 15
            sb16:
              fndh_port: 16
              modbus_id: 16
            sb17:
              fndh_port: 17
              modbus_id: 17
            sb18:
              fndh_port: 18
              modbus_id: 18
            sb19:
              fndh_port: 19
              modbus_id: 19
            sb20:
              fndh_port: 20
              modbus_id: 20
            sb21:
              fndh_port: 21
              modbus_id: 21
            sb22:
              fndh_port: 22
              modbus_id: 22
            sb23:
              fndh_port: 23
              modbus_id: 23
            sb24:
              fndh_port: 24
              modbus_id: 24
        antennas:
          sb18-03:
            masked: false
            location_offset:
              east: -1.2
              north: 0.214
              up: 0.011
            eep: 1
            smartbox: sb18
            smartbox_port: 3
            tpm: tpm06
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -1
          sb18-06:
            location_offset:
              east: 1.065
              north: -1.245
              up: 0.004
            eep: 2
            smartbox: sb18
            smartbox_port: 6
            tpm: tpm06
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -1
          sb18-01:
            location_offset:
              east: 0.075
              north: 2.111
              up: 0.005
            eep: 3
            smartbox: sb18
            smartbox_port: 1
            tpm: tpm06
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 0
          sb18-04:
            location_offset:
              east: -1.684
              north: -1.655
              up: -0.007
            eep: 4
            smartbox: sb18
            smartbox_port: 4
            tpm: tpm06
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 0
          sb18-09:
            location_offset:
              east: 2.642
              north: 0.167
              up: 0.009
            eep: 5
            smartbox: sb18
            smartbox_port: 9
            tpm: tpm07
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -1
          sb18-02:
            location_offset:
              east: -2.245
              north: 1.916
              up: 0.002
            eep: 6
            smartbox: sb18
            smartbox_port: 2
            tpm: tpm07
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 0
          sb18-05:
            location_offset:
              east: 0.372
              north: -3.079
              up: -0.005
            eep: 7
            smartbox: sb18
            smartbox_port: 5
            tpm: tpm07
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -1
          sb18-10:
            location_offset:
              east: 1.909
              north: 2.782
              up: 0.012
            eep: 8
            smartbox: sb18
            smartbox_port: 10
            tpm: tpm06
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -1
          sb07-08:
            location_offset:
              east: -3.478
              north: -0.717
              up: -0.011
            eep: 9
            smartbox: sb07
            smartbox_port: 8
            tpm: tpm16
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 7
          sb18-08:
            location_offset:
              east: 3.231
              north: -1.845
              up: 0.008
            eep: 10
            smartbox: sb18
            smartbox_port: 8
            tpm: tpm07
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -1
          sb05-04:
            location_offset:
              east: -1.199
              north: 3.821
              up: 0.003
            eep: 11
            smartbox: sb05
            smartbox_port: 4
            tpm: tpm16
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 73
          sb09-10:
            location_offset:
              east: -1.777
              north: -3.699
              up: -0.044
            eep: 12
            smartbox: sb09
            smartbox_port: 10
            tpm: tpm11
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 6
          sb19-01:
            location_offset:
              east: 3.934
              north: 1.68
              up: 0.014
            eep: 13
            smartbox: sb19
            smartbox_port: 1
            tpm: tpm08
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -5
          sb07-10:
            location_offset:
              east: -4.2
              north: 1.579
              up: -0.005
            eep: 14
            smartbox: sb07
            smartbox_port: 10
            tpm: tpm16
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 6
          sb18-07:
            location_offset:
              east: 2.128
              north: -4.041
              up: -0.011
            eep: 15
            smartbox: sb18
            smartbox_port: 7
            tpm: tpm07
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 0
          sb05-06:
            location_offset:
              east: 1.214
              north: 4.619
              up: 0.0
            eep: 16
            smartbox: sb05
            smartbox_port: 6
            tpm: tpm15
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: 72
          sb09-11:
            location_offset:
              east: -4.134
              north: -2.575
              up: -0.039
            eep: 17
            smartbox: sb09
            smartbox_port: 11
            tpm: tpm11
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 6
          sb19-03:
            location_offset:
              east: 4.967
              north: -0.827
              up: 0.018
            eep: 18
            smartbox: sb19
            smartbox_port: 3
            tpm: tpm08
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -5
          sb04-08:
            location_offset:
              east: -3.192
              north: 4.186
              up: 0.013
            eep: 19
            smartbox: sb04
            smartbox_port: 8
            tpm: tpm05
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 71
          sb15-01:
            location_offset:
              east: -0.49
              north: -5.26
              up: -0.02
            eep: 20
            smartbox: sb15
            smartbox_port: 1
            tpm: tpm11
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -45
          sb21-05:
            location_offset:
              east: 4.022
              north: 3.742
              up: 0.021
            eep: 21
            smartbox: sb21
            smartbox_port: 5
            tpm: tpm02
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 0
          sb07-09:
            location_offset:
              east: -5.597
              north: 0.029
              up: -0.022
            eep: 22
            smartbox: sb07
            smartbox_port: 9
            tpm: tpm15
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 6
          sb16-02:
            location_offset:
              east: 4.186
              north: -3.806
              up: -0.001
            eep: 23
            smartbox: sb16
            smartbox_port: 2
            tpm: tpm12
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -45
          sb05-05:
            location_offset:
              east: -0.546
              north: 5.845
              up: 0.016
            eep: 24
            smartbox: sb05
            smartbox_port: 5
            tpm: tpm16
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 72
          sb09-09:
            location_offset:
              east: -3.632
              north: -4.683
              up: 0.009
            eep: 25
            smartbox: sb09
            smartbox_port: 9
            tpm: tpm10
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 6
          sb19-02:
            location_offset:
              east: 5.978
              north: 1.084
              up: 0.025
            eep: 26
            smartbox: sb19
            smartbox_port: 2
            tpm: tpm08
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -5
          sb04-06:
            location_offset:
              east: -5.251
              north: 3.331
              up: 0.006
            eep: 27
            smartbox: sb04
            smartbox_port: 6
            tpm: tpm05
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 72
          sb15-10:
            location_offset:
              east: 1.621
              north: -6.056
              up: -0.022
            eep: 28
            smartbox: sb15
            smartbox_port: 10
            tpm: tpm11
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -46
          sb05-07:
            location_offset:
              east: 2.928
              north: 5.736
              up: 0.015
            eep: 29
            smartbox: sb05
            smartbox_port: 7
            tpm: tpm16
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 72
          sb07-07:
            location_offset:
              east: -6.144
              north: -2.208
              up: -0.036
            eep: 30
            smartbox: sb07
            smartbox_port: 7
            tpm: tpm16
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 7
          sb19-04:
            location_offset:
              east: 6.115
              north: -2.508
              up: 0.002
            eep: 31
            smartbox: sb19
            smartbox_port: 4
            tpm: tpm07
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 0
          sb05-03:
            location_offset:
              east: -2.884
              north: 6.108
              up: 0.027
            eep: 32
            smartbox: sb05
            smartbox_port: 3
            tpm: tpm15
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 73
          sb15-03:
            location_offset:
              east: -2.071
              north: -6.475
              up: -0.043
            eep: 33
            smartbox: sb15
            smartbox_port: 3
            tpm: tpm10
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -45
          sb21-06:
            location_offset:
              east: 5.98
              north: 3.532
              up: 0.03
            eep: 34
            smartbox: sb21
            smartbox_port: 6
            tpm: tpm01
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -1
          sb07-11:
            location_offset:
              east: -6.891
              north: 1.538
              up: -0.03
            eep: 35
            smartbox: sb07
            smartbox_port: 11
            tpm: tpm15
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 6
          sb16-03:
            location_offset:
              east: 4.088
              north: -5.801
              up: 0.0
            eep: 36
            smartbox: sb16
            smartbox_port: 3
            tpm: tpm12
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -45
          sb05-08:
            location_offset:
              east: 0.915
              north: 7.237
              up: 0.028
            eep: 37
            smartbox: sb05
            smartbox_port: 8
            tpm: tpm16
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 72
          sb09-01:
            location_offset:
              east: -5.639
              north: -4.709
              up: -0.041
            eep: 38
            smartbox: sb09
            smartbox_port: 1
            tpm: tpm11
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 6
          sb19-05:
            location_offset:
              east: 7.426
              north: -0.264
              up: 0.023
            eep: 39
            smartbox: sb19
            smartbox_port: 5
            tpm: tpm08
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -5
          sb04-07:
            location_offset:
              east: -5.329
              north: 5.314
              up: 0.022
            eep: 40
            smartbox: sb04
            smartbox_port: 7
            tpm: tpm05
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 71
          sb15-02:
            location_offset:
              east: 0.326
              north: -7.589
              up: -0.035
            eep: 41
            smartbox: sb15
            smartbox_port: 2
            tpm: tpm11
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -45
          sb21-04:
            location_offset:
              east: 4.917
              north: 5.955
              up: 0.036
            eep: 42
            smartbox: sb21
            smartbox_port: 4
            tpm: tpm01
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 0
          sb07-06:
            location_offset:
              east: -7.754
              north: -1.007
              up: -0.036
            eep: 43
            smartbox: sb07
            smartbox_port: 6
            tpm: tpm15
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -46
          sb16-01:
            location_offset:
              east: 6.478
              north: -4.472
              up: 0.012
            eep: 44
            smartbox: sb16
            smartbox_port: 1
            tpm: tpm12
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -45
          sb05-02:
            location_offset:
              east: -1.79
              north: 7.84
              up: 0.02
            eep: 45
            smartbox: sb05
            smartbox_port: 2
            tpm: tpm16
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 72
          sb09-08:
            location_offset:
              east: -4.024
              north: -6.978
              up: -0.036
            eep: 46
            smartbox: sb09
            smartbox_port: 8
            tpm: tpm10
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 7
          sb21-07:
            location_offset:
              east: 7.776
              north: 2.527
              up: 0.039
            eep: 47
            smartbox: sb21
            smartbox_port: 7
            tpm: tpm02
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -1
          sb04-05:
            masked: true
            location_offset:
              east: -7.291
              north: 3.383
              up: -0.031
            eep: 48
            smartbox: sb04
            smartbox_port: 5
            tpm: tpm05
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 0
          sb16-05:
            location_offset:
              east: 3.191
              north: -7.659
              up: -0.002
            eep: 49
            smartbox: sb16
            smartbox_port: 5
            tpm: tpm13
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -45
          sb21-03:
            location_offset:
              east: 2.821
              north: 7.94
              up: 0.022
            eep: 50
            smartbox: sb21
            smartbox_port: 3
            tpm: tpm01
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -1
          sb09-02:
            location_offset:
              east: -7.547
              north: -3.912
              up: -0.044
            eep: 51
            smartbox: sb09
            smartbox_port: 2
            tpm: tpm10
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 7
          sb19-06:
            location_offset:
              east: 8.302
              north: -2.141
              up: 0.019
            eep: 52
            smartbox: sb19
            smartbox_port: 6
            tpm: tpm08
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -5
          sb04-09:
            masked: true
            location_offset:
              east: -4.703
              north: 7.33
              up: 0.023
            eep: 53
            smartbox: sb04
            smartbox_port: 9
            tpm: tpm05
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 0
          sb15-04:
            masked: true
            location_offset:
              east: -1.484
              north: -8.564
              up: -0.044
            eep: 54
            smartbox: sb15
            smartbox_port: 4
            tpm: tpm10
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 0
          sb21-08:
            location_offset:
              east: 6.968
              north: 5.447
              up: 0.041
            eep: 55
            smartbox: sb21
            smartbox_port: 8
            tpm: tpm01
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -2
          sb07-03:
            location_offset:
              east: -8.908
              north: 0.763
              up: -0.034
            eep: 56
            smartbox: sb07
            smartbox_port: 3
            tpm: tpm16
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 7
          sb16-04:
            location_offset:
              east: 6.078
              north: -6.541
              up: 0.009
            eep: 57
            smartbox: sb16
            smartbox_port: 4
            tpm: tpm12
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -45
          sb05-09:
            location_offset:
              east: -0.055
              north: 9.097
              up: 0.009
            eep: 58
            smartbox: sb05
            smartbox_port: 9
            tpm: tpm16
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 71
          sb09-05:
            location_offset:
              east: -6.179
              north: -6.729
              up: -0.044
            eep: 59
            smartbox: sb09
            smartbox_port: 5
            tpm: tpm11
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 6
          sb19-08:
            location_offset:
              east: 9.159
              north: 0.887
              up: 0.035
            eep: 60
            smartbox: sb19
            smartbox_port: 8
            tpm: tpm07
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -1
          sb04-04:
            location_offset:
              east: -7.421
              north: 5.639
              up: -0.001
            eep: 61
            smartbox: sb04
            smartbox_port: 4
            tpm: tpm06
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 72
          sb15-09:
            location_offset:
              east: 1.669
              north: -9.19
              up: -0.04
            eep: 62
            smartbox: sb15
            smartbox_port: 9
            tpm: tpm11
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -46
          sb21-02:
            location_offset:
              east: 5.013
              north: 8.043
              up: 0.03
            eep: 63
            smartbox: sb21
            smartbox_port: 2
            tpm: tpm02
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 0
          sb07-05:
            masked: true
            location_offset:
              east: -9.195
              north: -2.503
              up: -0.059
            eep: 64
            smartbox: sb07
            smartbox_port: 5
            tpm: tpm16
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 0
          sb16-10:
            masked: true
            location_offset:
              east: 8.509
              north: -4.335
              up: 0.031
            eep: 65
            smartbox: sb16
            smartbox_port: 10
            tpm: tpm12
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 0
          sb04-10:
            location_offset:
              east: -3.398
              north: 9.087
              up: 0.004
            eep: 66
            smartbox: sb04
            smartbox_port: 10
            tpm: tpm05
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 71
          sb09-07:
            location_offset:
              east: -3.682
              north: -9.003
              up: -0.041
            eep: 67
            smartbox: sb09
            smartbox_port: 7
            tpm: tpm10
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 6
          sb21-09:
            location_offset:
              east: 8.834
              north: 4.257
              up: 0.049
            eep: 68
            smartbox: sb21
            smartbox_port: 9
            tpm: tpm01
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -1
          sb07-01:
            location_offset:
              east: -9.464
              north: 2.921
              up: -0.023
            eep: 69
            smartbox: sb07
            smartbox_port: 1
            tpm: tpm15
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 6
          sb16-06:
            location_offset:
              east: 5.024
              north: -8.547
              up: -0.005
            eep: 70
            smartbox: sb16
            smartbox_port: 6
            tpm: tpm11
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -45
          sb05-10:
            masked: true
            location_offset:
              east: 2.102
              north: 9.836
              up: 0.02
            eep: 71
            smartbox: sb05
            smartbox_port: 10
            tpm: tpm16
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: 71
          sb09-03:
            location_offset:
              east: -7.937
              north: -5.83
              up: -0.049
            eep: 72
            smartbox: sb09
            smartbox_port: 3
            tpm: tpm11
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 6
          sb19-07:
            masked: true
            location_offset:
              east: 10.083
              north: -1.228
              up: 0.038
            eep: 73
            smartbox: sb19
            smartbox_port: 7
            tpm: tpm08
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -5
          sb04-01:
            masked: true
            location_offset:
              east: -6.669
              north: 7.839
              up: 0.014
            eep: 74
            smartbox: sb04
            smartbox_port: 1
            tpm: tpm06
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 0
          sb15-06:
            location_offset:
              east: -0.379
              north: -10.28
              up: -0.037
            eep: 75
            smartbox: sb15
            smartbox_port: 6
            tpm: tpm10
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -45
          sb21-10:
            location_offset:
              east: 7.269
              north: 7.443
              up: 0.038
            eep: 76
            smartbox: sb21
            smartbox_port: 10
            tpm: tpm01
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -1
          sb07-04:
            location_offset:
              east: -10.452
              north: -0.529
              up: -0.047
            eep: 77
            smartbox: sb07
            smartbox_port: 4
            tpm: tpm16
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 7
          sb16-08:
            location_offset:
              east: 8.098
              north: -6.643
              up: 0.025
            eep: 78
            smartbox: sb16
            smartbox_port: 8
            tpm: tpm11
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -45
          sb05-01:
            location_offset:
              east: -1.502
              north: 10.535
              up: 0.009
            eep: 79
            smartbox: sb05
            smartbox_port: 1
            tpm: tpm15
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 73
          sb09-06:
            location_offset:
              east: -6.041
              north: -8.725
              up: -0.019
            eep: 80
            smartbox: sb09
            smartbox_port: 6
            tpm: tpm10
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 6
          sb19-10:
            location_offset:
              east: 10.429
              north: 2.447
              up: 0.033
            eep: 81
            smartbox: sb19
            smartbox_port: 10
            tpm: tpm08
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -5
          sb04-03:
            location_offset:
              east: -9.406
              north: 5.353
              up: -0.01
            eep: 82
            smartbox: sb04
            smartbox_port: 3
            tpm: tpm05
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 71
          sb15-08:
            location_offset:
              east: 3.344
              north: -10.259
              up: -0.015
            eep: 83
            smartbox: sb15
            smartbox_port: 8
            tpm: tpm10
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -45
          sb21-01:
            location_offset:
              east: 4.51
              north: 9.95
              up: 0.043
            eep: 84
            smartbox: sb21
            smartbox_port: 1
            tpm: tpm01
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 0
          sb08-08:
            location_offset:
              east: -10.113
              north: -4.244
              up: -0.057
            eep: 85
            smartbox: sb08
            smartbox_port: 8
            tpm: tpm14
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -38
          sb16-11:
            location_offset:
              east: 10.388
              north: -3.645
              up: 0.038
            eep: 86
            smartbox: sb16
            smartbox_port: 11
            tpm: tpm12
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -46
          sb04-11:
            location_offset:
              east: -5.254
              north: 9.848
              up: 0.014
            eep: 87
            smartbox: sb04
            smartbox_port: 11
            tpm: tpm05
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: 71
          sb15-05:
            location_offset:
              east: -2.783
              north: -10.784
              up: -0.086
            eep: 88
            smartbox: sb15
            smartbox_port: 5
            tpm: tpm11
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -46
          sb22-04:
            location_offset:
              east: 9.378
              north: 6.162
              up: 0.041
            eep: 89
            smartbox: sb22
            smartbox_port: 4
            tpm: tpm01
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 0
          sb07-02:
            masked: true
            location_offset:
              east: -11.145
              north: 1.902
              up: -0.041
            eep: 90
            smartbox: sb07
            smartbox_port: 2
            tpm: tpm16
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 0
          sb16-07:
            location_offset:
              east: 6.991
              north: -8.885
              up: 0.022
            eep: 91
            smartbox: sb16
            smartbox_port: 7
            tpm: tpm12
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -45
          sb05-11:
            location_offset:
              east: 0.829
              north: 11.437
              up: 0.015
            eep: 92
            smartbox: sb05
            smartbox_port: 11
            tpm: tpm16
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 72
          sb09-04:
            location_offset:
              east: -8.379
              north: -7.843
              up: -0.045
            eep: 93
            smartbox: sb09
            smartbox_port: 4
            tpm: tpm11
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 7
          sb19-09:
            location_offset:
              east: 11.517
              north: 0.146
              up: 0.046
            eep: 94
            smartbox: sb19
            smartbox_port: 9
            tpm: tpm07
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -1
          sb04-02:
            location_offset:
              east: -8.66
              north: 7.78
              up: -0.008
            eep: 95
            smartbox: sb04
            smartbox_port: 2
            tpm: tpm06
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 72
          sb12-11:
            location_offset:
              east: 1.128
              north: -11.591
              up: -0.007
            eep: 96
            smartbox: sb12
            smartbox_port: 11
            tpm: tpm09
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: -45
          sb21-11:
            location_offset:
              east: 7.024
              north: 9.41
              up: 0.049
            eep: 97
            smartbox: sb21
            smartbox_port: 11
            tpm: tpm01
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -1
          sb08-10:
            location_offset:
              east: -11.603
              north: -2.14
              up: -0.062
            eep: 98
            smartbox: sb08
            smartbox_port: 10
            tpm: tpm14
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -39
          sb16-09:
            location_offset:
              east: 10.034
              north: -6.223
              up: 0.044
            eep: 99
            smartbox: sb16
            smartbox_port: 9
            tpm: tpm12
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -45
          sb01-05:
            masked: true
            location_offset:
              east: -3.222
              north: 11.492
              up: 0.023
            eep: 100
            smartbox: sb01
            smartbox_port: 5
            tpm: tpm08
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 67
          sb11-10:
            location_offset:
              east: -5.437
              north: -10.638
              up: -0.034
            eep: 101
            smartbox: sb11
            smartbox_port: 10
            tpm: tpm03
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -45
          sb19-11:
            masked: true
            location_offset:
              east: 11.237
              north: 4.297
              up: 0.048
            eep: 102
            smartbox: sb19
            smartbox_port: 11
            tpm: tpm08
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -5
          sb03-09:
            location_offset:
              east: -11.219
              north: 4.552
              up: -0.043
            eep: 103
            smartbox: sb03
            smartbox_port: 9
            tpm: tpm05
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 6
          sb13-01:
            location_offset:
              east: 5.232
              north: -10.914
              up: -0.001
            eep: 104
            smartbox: sb13
            smartbox_port: 1
            tpm: tpm12
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: -45
          sb24-05:
            location_offset:
              east: 3.522
              north: 11.706
              up: 0.038
            eep: 105
            smartbox: sb24
            smartbox_port: 5
            tpm: tpm03
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 66
          sb10-11:
            location_offset:
              east: -10.55
              north: -6.231
              up: -0.048
            eep: 106
            smartbox: sb10
            smartbox_port: 11
            tpm: tpm02
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 0
          sb17-02:
            location_offset:
              east: 12.049
              north: -2.47
              up: 0.064
            eep: 107
            smartbox: sb17
            smartbox_port: 2
            tpm: tpm14
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: -46
          sb02-08:
            location_offset:
              east: -7.258
              north: 10.081
              up: 0.005
            eep: 108
            smartbox: sb02
            smartbox_port: 8
            tpm: tpm06
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 71
          sb12-02:
            location_offset:
              east: -1.488
              north: -12.28
              up: -0.038
            eep: 109
            smartbox: sb12
            smartbox_port: 2
            tpm: tpm09
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -44
          sb22-03:
            location_offset:
              east: 9.443
              north: 8.167
              up: 0.041
            eep: 110
            smartbox: sb22
            smartbox_port: 3
            tpm: tpm01
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 0
          sb06-09:
            location_offset:
              east: -12.568
              north: 0.432
              up: -0.069
            eep: 111
            smartbox: sb06
            smartbox_port: 9
            tpm: tpm13
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 7
          sb14-03:
            location_offset:
              east: 9.002
              north: -8.737
              up: 0.016
            eep: 112
            smartbox: sb14
            smartbox_port: 3
            tpm: tpm10
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -46
          sb01-07:
            location_offset:
              east: -0.714
              north: 12.656
              up: 0.019
            eep: 113
            smartbox: sb01
            smartbox_port: 7
            tpm: tpm08
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 68
          sb10-09:
            location_offset:
              east: -8.043
              north: -9.832
              up: -0.076
            eep: 114
            smartbox: sb10
            smartbox_port: 9
            tpm: tpm03
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 0
          sb20-03:
            location_offset:
              east: 12.602
              north: 1.887
              up: 0.058
            eep: 115
            smartbox: sb20
            smartbox_port: 3
            tpm: tpm14
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 0
          sb03-10:
            masked: true
            location_offset:
              east: -10.619
              north: 7.279
              up: -0.027
            eep: 116
            smartbox: sb03
            smartbox_port: 10
            tpm: tpm06
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 0
          sb15-07:
            location_offset:
              east: 2.948
              north: -12.507
              up: -0.006
            eep: 117
            smartbox: sb15
            smartbox_port: 7
            tpm: tpm11
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -45
          sb23-03:
            location_offset:
              east: 6.301
              north: 11.333
              up: 0.046
            eep: 118
            smartbox: sb23
            smartbox_port: 3
            tpm: tpm03
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -45
          sb08-09:
            location_offset:
              east: -12.35
              north: -4.05
              up: -0.069
            eep: 119
            smartbox: sb08
            smartbox_port: 9
            tpm: tpm14
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -38
          sb17-04:
            location_offset:
              east: 11.884
              north: -5.313
              up: 0.071
            eep: 120
            smartbox: sb17
            smartbox_port: 4
            tpm: tpm14
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -46
          sb01-04:
            location_offset:
              east: -5.202
              north: 12.085
              up: 0.018
            eep: 121
            smartbox: sb01
            smartbox_port: 4
            tpm: tpm08
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 68
          sb11-09:
            location_offset:
              east: -4.348
              north: -12.36
              up: -0.042
            eep: 122
            smartbox: sb11
            smartbox_port: 9
            tpm: tpm03
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -45
          sb22-05:
            location_offset:
              east: 11.593
              north: 6.308
              up: 0.035
            eep: 123
            smartbox: sb22
            smartbox_port: 5
            tpm: tpm01
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -1
          sb03-08:
            location_offset:
              east: -12.871
              north: 3.319
              up: -0.059
            eep: 124
            smartbox: sb03
            smartbox_port: 8
            tpm: tpm05
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 6
          sb13-11:
            location_offset:
              east: 7.287
              north: -11.09
              up: 0.017
            eep: 125
            smartbox: sb13
            smartbox_port: 11
            tpm: tpm12
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -46
          sb24-04:
            location_offset:
              east: 2.1
              north: 13.245
              up: 0.03
            eep: 126
            smartbox: sb24
            smartbox_port: 4
            tpm: tpm03
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 66
          sb10-10:
            location_offset:
              east: -10.544
              north: -8.297
              up: -0.068
            eep: 127
            smartbox: sb10
            smartbox_port: 10
            tpm: tpm03
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 0
          sb20-05:
            location_offset:
              east: 13.405
              north: -0.945
              up: 0.065
            eep: 128
            smartbox: sb20
            smartbox_port: 5
            tpm: tpm13
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -1
          sb02-07:
            location_offset:
              east: -9.326
              north: 9.884
              up: -0.026
            eep: 129
            smartbox: sb02
            smartbox_port: 7
            tpm: tpm06
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 71
          sb12-01:
            location_offset:
              east: 0.219
              north: -13.549
              up: -0.02
            eep: 130
            smartbox: sb12
            smartbox_port: 1
            tpm: tpm09
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -44
          sb23-05:
            location_offset:
              east: 9.038
              north: 10.211
              up: 0.04
            eep: 131
            smartbox: sb23
            smartbox_port: 5
            tpm: tpm04
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: -44
          sb06-08:
            location_offset:
              east: -13.612
              north: -1.369
              up: -0.082
            eep: 132
            smartbox: sb06
            smartbox_port: 8
            tpm: tpm14
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: 8
          sb14-01:
            location_offset:
              east: 11.002
              north: -8.135
              up: 0.03
            eep: 133
            smartbox: sb14
            smartbox_port: 1
            tpm: tpm09
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -46
          sb01-06:
            location_offset:
              east: -2.624
              north: 13.587
              up: 0.028
            eep: 134
            smartbox: sb01
            smartbox_port: 6
            tpm: tpm08
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 67
          sb11-01:
            location_offset:
              east: -7.238
              north: -11.741
              up: -0.056
            eep: 135
            smartbox: sb11
            smartbox_port: 1
            tpm: tpm04
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -44
          sb20-02:
            location_offset:
              east: 13.312
              north: 3.855
              up: 0.06
            eep: 136
            smartbox: sb20
            smartbox_port: 2
            tpm: tpm14
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -1
          sb03-07:
            location_offset:
              east: -12.478
              north: 6.238
              up: -0.045
            eep: 137
            smartbox: sb03
            smartbox_port: 7
            tpm: tpm05
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 6
          sb13-02:
            location_offset:
              east: 5.005
              north: -13.009
              up: -0.014
            eep: 138
            smartbox: sb13
            smartbox_port: 2
            tpm: tpm12
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -45
          sb24-06:
            location_offset:
              east: 5.14
              north: 13.075
              up: 0.043
            eep: 139
            smartbox: sb24
            smartbox_port: 6
            tpm: tpm02
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 65
          sb08-07:
            location_offset:
              east: -12.707
              north: -6.127
              up: -0.073
            eep: 140
            smartbox: sb08
            smartbox_port: 7
            tpm: tpm14
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -38
          sb17-03:
            location_offset:
              east: 13.558
              north: -3.995
              up: 0.085
            eep: 141
            smartbox: sb17
            smartbox_port: 3
            tpm: tpm15
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -45
          sb02-09:
            location_offset:
              east: -7.318
              north: 12.206
              up: -0.012
            eep: 142
            smartbox: sb02
            smartbox_port: 9
            tpm: tpm06
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 71
          sb12-03:
            location_offset:
              east: -2.836
              north: -13.919
              up: -0.055
            eep: 143
            smartbox: sb12
            smartbox_port: 3
            tpm: tpm09
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -44
          sb22-02:
            location_offset:
              east: 11.543
              north: 8.456
              up: 0.039
            eep: 144
            smartbox: sb22
            smartbox_port: 2
            tpm: tpm01
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 0
          sb06-10:
            location_offset:
              east: -14.263
              north: 1.636
              up: -0.111
            eep: 145
            smartbox: sb06
            smartbox_port: 10
            tpm: tpm16
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 7
          sb14-04:
            location_offset:
              east: 9.434
              north: -10.799
              up: 0.022
            eep: 146
            smartbox: sb14
            smartbox_port: 4
            tpm: tpm09
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -46
          sb24-03:
            location_offset:
              east: 0.355
              north: 14.462
              up: 0.029
            eep: 147
            smartbox: sb24
            smartbox_port: 3
            tpm: tpm03
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 66
          sb10-08:
            location_offset:
              east: -10.052
              north: -10.403
              up: -0.03
            eep: 148
            smartbox: sb10
            smartbox_port: 8
            tpm: tpm03
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 1
          sb20-04:
            location_offset:
              east: 14.464
              north: 0.952
              up: 0.069
            eep: 149
            smartbox: sb20
            smartbox_port: 4
            tpm: tpm13
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 0
          sb03-11:
            location_offset:
              east: -11.373
              north: 9.182
              up: -0.008
            eep: 150
            smartbox: sb03
            smartbox_port: 11
            tpm: tpm05
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 6
          sb13-03:
            location_offset:
              east: 2.157
              north: -14.448
              up: -0.03
            eep: 151
            smartbox: sb13
            smartbox_port: 3
            tpm: tpm12
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: -45
          sb23-04:
            location_offset:
              east: 8.178
              north: 12.206
              up: 0.047
            eep: 152
            smartbox: sb23
            smartbox_port: 4
            tpm: tpm03
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -47
          sb08-01:
            location_offset:
              east: -14.337
              north: -3.429
              up: -0.075
            eep: 153
            smartbox: sb08
            smartbox_port: 1
            tpm: tpm15
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -38
          sb17-05:
            location_offset:
              east: 12.902
              north: -7.121
              up: 0.069
            eep: 154
            smartbox: sb17
            smartbox_port: 5
            tpm: tpm14
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -46
          sb01-03:
            location_offset:
              east: -4.718
              north: 14.109
              up: 0.034
            eep: 155
            smartbox: sb01
            smartbox_port: 3
            tpm: tpm07
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 72
          sb11-08:
            location_offset:
              east: -6.057
              north: -13.555
              up: -0.064
            eep: 156
            smartbox: sb11
            smartbox_port: 8
            tpm: tpm04
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -45
          sb22-06:
            location_offset:
              east: 13.66
              north: 6.023
              up: 0.051
            eep: 157
            smartbox: sb22
            smartbox_port: 6
            tpm: tpm02
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 0
          sb03-06:
            location_offset:
              east: -14.176
              north: 4.909
              up: -0.055
            eep: 158
            smartbox: sb03
            smartbox_port: 6
            tpm: tpm05
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 7
          sb13-10:
            location_offset:
              east: 7.173
              north: -13.142
              up: -0.005
            eep: 159
            smartbox: sb13
            smartbox_port: 10
            tpm: tpm11
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -46
          sb24-07:
            location_offset:
              east: 3.613
              north: 14.662
              up: 0.026
            eep: 160
            smartbox: sb24
            smartbox_port: 7
            tpm: tpm02
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 65
          sb10-01:
            location_offset:
              east: -12.605
              north: -8.344
              up: -0.059
            eep: 161
            smartbox: sb10
            smartbox_port: 1
            tpm: tpm02
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 1
          sb17-01:
            location_offset:
              east: 14.962
              north: -2.286
              up: 0.097
            eep: 162
            smartbox: sb17
            smartbox_port: 1
            tpm: tpm14
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: -46
          sb02-06:
            location_offset:
              east: -9.479
              north: 11.9
              up: 0.016
            eep: 163
            smartbox: sb02
            smartbox_port: 6
            tpm: tpm06
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 72
          sb12-04:
            location_offset:
              east: -1.031
              north: -15.162
              up: -0.035
            eep: 164
            smartbox: sb12
            smartbox_port: 4
            tpm: tpm09
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: -44
          sb23-07:
            location_offset:
              east: 11.037
              north: 10.609
              up: 0.052
            eep: 165
            smartbox: sb23
            smartbox_port: 7
            tpm: tpm04
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -44
          sb06-07:
            location_offset:
              east: -15.367
              north: -0.273
              up: -0.089
            eep: 166
            smartbox: sb06
            smartbox_port: 7
            tpm: tpm13
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 7
          sb14-02:
            location_offset:
              east: 11.54
              north: -10.126
              up: 0.035
            eep: 167
            smartbox: sb14
            smartbox_port: 2
            tpm: tpm09
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: -46
          sb01-08:
            location_offset:
              east: -1.676
              north: 15.372
              up: 0.019
            eep: 168
            smartbox: sb01
            smartbox_port: 8
            tpm: tpm08
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 68
          sb11-02:
            location_offset:
              east: -9.197
              north: -12.447
              up: -0.022
            eep: 169
            smartbox: sb11
            smartbox_port: 2
            tpm: tpm04
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -44
          sb20-01:
            location_offset:
              east: 15.203
              north: 3.035
              up: 0.073
            eep: 170
            smartbox: sb20
            smartbox_port: 1
            tpm: tpm13
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 0
          sb03-04:
            location_offset:
              east: -13.331
              north: 8.087
              up: -0.031
            eep: 171
            smartbox: sb03
            smartbox_port: 4
            tpm: tpm06
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 8
          sb13-04:
            location_offset:
              east: 4.365
              north: -14.969
              up: -0.032
            eep: 172
            smartbox: sb13
            smartbox_port: 4
            tpm: tpm12
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -45
          sb23-02:
            location_offset:
              east: 6.91
              north: 14.097
              up: 0.063
            eep: 173
            smartbox: sb23
            smartbox_port: 2
            tpm: tpm04
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -44
          sb08-06:
            location_offset:
              east: -14.653
              north: -5.649
              up: -0.072
            eep: 174
            smartbox: sb08
            smartbox_port: 6
            tpm: tpm15
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -38
          sb17-06:
            location_offset:
              east: 14.652
              north: -5.695
              up: 0.107
            eep: 175
            smartbox: sb17
            smartbox_port: 6
            tpm: tpm15
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 6
          sb02-10:
            location_offset:
              east: -7.019
              north: 14.191
              up: 0.004
            eep: 176
            smartbox: sb02
            smartbox_port: 10
            tpm: tpm07
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 71
          sb12-05:
            location_offset:
              east: -4.441
              north: -15.158
              up: -0.067
            eep: 177
            smartbox: sb12
            smartbox_port: 5
            tpm: tpm09
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -45
          sb22-11:
            masked: true
            location_offset:
              east: 13.547
              north: 8.285
              up: 0.061
            eep: 178
            smartbox: sb22
            smartbox_port: 11
            tpm: tpm01
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 0
          sb06-11:
            location_offset:
              east: -15.62
              north: 3.123
              up: -0.062
            eep: 179
            smartbox: sb06
            smartbox_port: 11
            tpm: tpm15
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 6
          sb14-05:
            location_offset:
              east: 9.431
              north: -12.846
              up: 0.017
            eep: 180
            smartbox: sb14
            smartbox_port: 5
            tpm: tpm09
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: -46
          sb24-02:
            location_offset:
              east: 1.703
              north: 15.94
              up: 0.045
            eep: 181
            smartbox: sb24
            smartbox_port: 2
            tpm: tpm02
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 65
          sb10-06:
            location_offset:
              east: -12.101
              north: -10.581
              up: -0.087
            eep: 182
            smartbox: sb10
            smartbox_port: 6
            tpm: tpm03
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 0
          sb20-06:
            location_offset:
              east: 16.087
              north: -0.287
              up: 0.085
            eep: 183
            smartbox: sb20
            smartbox_port: 6
            tpm: tpm13
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: -1
          sb02-05:
            location_offset:
              east: -11.741
              north: 11.196
              up: -0.034
            eep: 184
            smartbox: sb02
            smartbox_port: 5
            tpm: tpm06
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 71
          sb12-10:
            location_offset:
              east: 1.057
              north: -16.121
              up: -0.003
            eep: 185
            smartbox: sb12
            smartbox_port: 10
            tpm: tpm10
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: -44
          sb23-06:
            location_offset:
              east: 10.121
              north: 12.717
              up: 0.06
            eep: 186
            smartbox: sb23
            smartbox_port: 6
            tpm: tpm04
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -45
          sb08-02:
            location_offset:
              east: -16.112
              north: -2.47
              up: -0.085
            eep: 187
            smartbox: sb08
            smartbox_port: 2
            tpm: tpm15
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -37
          sb14-11:
            location_offset:
              east: 13.568
              north: -9.015
              up: 0.049
            eep: 188
            smartbox: sb14
            smartbox_port: 11
            tpm: tpm09
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -47
          sb01-02:
            location_offset:
              east: -3.936
              north: 15.966
              up: 0.016
            eep: 189
            smartbox: sb01
            smartbox_port: 2
            tpm: tpm08
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 68
          sb11-03:
            location_offset:
              east: -7.892
              north: -14.344
              up: -0.047
            eep: 190
            smartbox: sb11
            smartbox_port: 3
            tpm: tpm04
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -43
          sb22-07:
            location_offset:
              east: 15.554
              north: 5.342
              up: 0.065
            eep: 191
            smartbox: sb22
            smartbox_port: 7
            tpm: tpm01
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 0
          sb03-05:
            location_offset:
              east: -15.131
              north: 6.662
              up: -0.044
            eep: 192
            smartbox: sb03
            smartbox_port: 5
            tpm: tpm06
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 7
          sb13-07:
            location_offset:
              east: 6.672
              north: -15.091
              up: -0.01
            eep: 193
            smartbox: sb13
            smartbox_port: 7
            tpm: tpm12
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: -45
          sb24-08:
            location_offset:
              east: 5.262
              north: 15.765
              up: 0.055
            eep: 194
            smartbox: sb24
            smartbox_port: 8
            tpm: tpm03
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 66
          sb10-02:
            location_offset:
              east: -14.545
              north: -7.988
              up: -0.069
            eep: 195
            smartbox: sb10
            smartbox_port: 2
            tpm: tpm02
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 1
          sb17-09:
            location_offset:
              east: 16.171
              north: -3.888
              up: 0.094
            eep: 196
            smartbox: sb17
            smartbox_port: 9
            tpm: tpm15
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: -46
          sb02-03:
            location_offset:
              east: -9.376
              north: 13.915
              up: -0.019
            eep: 197
            smartbox: sb02
            smartbox_port: 3
            tpm: tpm07
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 73
          sb12-06:
            location_offset:
              east: -2.533
              north: -16.524
              up: -0.063
            eep: 198
            smartbox: sb12
            smartbox_port: 6
            tpm: tpm10
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -45
          sb22-01:
            location_offset:
              east: 13.039
              north: 10.568
              up: 0.062
            eep: 199
            smartbox: sb22
            smartbox_port: 1
            tpm: tpm01
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 0
          sb06-06:
            location_offset:
              east: -16.809
              north: 1.073
              up: -0.076
            eep: 200
            smartbox: sb06
            smartbox_port: 6
            tpm: tpm13
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: 7
          sb14-06:
            location_offset:
              east: 11.695
              north: -12.1
              up: 0.032
            eep: 201
            smartbox: sb14
            smartbox_port: 6
            tpm: tpm09
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -46
          sb01-09:
            masked: true
            location_offset:
              east: -0.467
              north: 16.975
              up: 0.037
            eep: 202
            smartbox: sb01
            smartbox_port: 9
            tpm: tpm08
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 67
          sb10-07:
            location_offset:
              east: -11.16
              north: -12.746
              up: -0.065
            eep: 203
            smartbox: sb10
            smartbox_port: 7
            tpm: tpm02
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: 0
          sb20-09:
            location_offset:
              east: 16.864
              north: 1.961
              up: 0.088
            eep: 204
            smartbox: sb20
            smartbox_port: 9
            tpm: tpm13
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -1
          sb03-02:
            location_offset:
              east: -13.785
              north: 10.077
              up: -0.048
            eep: 205
            smartbox: sb03
            smartbox_port: 2
            tpm: tpm05
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 7
          sb13-05:
            location_offset:
              east: 3.379
              north: -16.721
              up: -0.024
            eep: 206
            smartbox: sb13
            smartbox_port: 5
            tpm: tpm09
            tpm_y_channel: 16
            tpm_x_channel: 17
            delays: -45
          sb23-01:
            location_offset:
              east: 8.784
              north: 14.716
              up: 0.07
            eep: 207
            smartbox: sb23
            smartbox_port: 1
            tpm: tpm04
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -44
          sb08-04:
            location_offset:
              east: -16.465
              north: -4.849
              up: -0.073
            eep: 208
            smartbox: sb08
            smartbox_port: 4
            tpm: tpm14
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -38
          sb17-07:
            location_offset:
              east: 15.459
              north: -7.519
              up: 0.081
            eep: 209
            smartbox: sb17
            smartbox_port: 7
            tpm: tpm15
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -45
          sb02-11:
            masked: true
            location_offset:
              east: -6.375
              north: 16.057
              up: 0.004
            eep: 210
            smartbox: sb02
            smartbox_port: 11
            tpm: tpm07
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 0
          sb11-06:
            location_offset:
              east: -6.201
              north: -16.106
              up: -0.061
            eep: 211
            smartbox: sb11
            smartbox_port: 6
            tpm: tpm04
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -44
          sb22-09:
            location_offset:
              east: 15.489
              north: 7.787
              up: 0.064
            eep: 212
            smartbox: sb22
            smartbox_port: 9
            tpm: tpm02
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 0
          sb06-01:
            location_offset:
              east: -16.724
              north: 4.794
              up: -0.059
            eep: 213
            smartbox: sb06
            smartbox_port: 1
            tpm: tpm14
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 8
          sb13-09:
            location_offset:
              east: 9.087
              north: -14.81
              up: 0.008
            eep: 214
            smartbox: sb13
            smartbox_port: 9
            tpm: tpm11
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -45
          sb24-11:
            location_offset:
              east: 3.311
              north: 17.171
              up: 0.052
            eep: 215
            smartbox: sb24
            smartbox_port: 11
            tpm: tpm03
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: 65
          sb10-04:
            location_offset:
              east: -14.059
              north: -10.384
              up: -0.069
            eep: 216
            smartbox: sb10
            smartbox_port: 4
            tpm: tpm02
            tpm_y_channel: 24
            tpm_x_channel: 25
            delays: 1
          sb20-07:
            location_offset:
              east: 17.424
              north: -1.794
              up: 0.089
            eep: 217
            smartbox: sb20
            smartbox_port: 7
            tpm: tpm13
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -1
          sb02-04:
            location_offset:
              east: -11.698
              north: 13.174
              up: -0.03
            eep: 218
            smartbox: sb02
            smartbox_port: 4
            tpm: tpm07
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 72
          sb12-07:
            location_offset:
              east: -0.292
              north: -17.578
              up: -0.06
            eep: 219
            smartbox: sb12
            smartbox_port: 7
            tpm: tpm10
            tpm_y_channel: 4
            tpm_x_channel: 5
            delays: -44
          sb23-08:
            location_offset:
              east: 12.108
              north: 12.874
              up: 0.066
            eep: 220
            smartbox: sb23
            smartbox_port: 8
            tpm: tpm04
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -44
          sb06-05:
            location_offset:
              east: -17.672
              north: -1.242
              up: -0.079
            eep: 221
            smartbox: sb06
            smartbox_port: 5
            tpm: tpm13
            tpm_y_channel: 20
            tpm_x_channel: 21
            delays: 7
          sb14-09:
            location_offset:
              east: 13.904
              north: -10.964
              up: 0.046
            eep: 222
            smartbox: sb14
            smartbox_port: 9
            tpm: tpm09
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -46
          sb01-10:
            location_offset:
              east: -2.82
              north: 17.612
              up: 0.011
            eep: 223
            smartbox: sb01
            smartbox_port: 10
            tpm: tpm07
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 71
          sb11-04:
            location_offset:
              east: -9.808
              north: -14.815
              up: -0.085
            eep: 224
            smartbox: sb11
            smartbox_port: 4
            tpm: tpm04
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -44
          sb20-10:
            location_offset:
              east: 17.306
              north: 4.41
              up: 0.086
            eep: 225
            smartbox: sb20
            smartbox_port: 10
            tpm: tpm13
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -1
          sb03-03:
            location_offset:
              east: -15.746
              north: 8.53
              up: -0.049
            eep: 226
            smartbox: sb03
            smartbox_port: 3
            tpm: tpm05
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 7
          sb13-06:
            location_offset:
              east: 5.876
              north: -16.912
              up: -0.016
            eep: 227
            smartbox: sb13
            smartbox_port: 6
            tpm: tpm12
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: -46
          sb24-09:
            location_offset:
              east: 7.101
              north: 16.567
              up: 0.069
            eep: 228
            smartbox: sb24
            smartbox_port: 9
            tpm: tpm02
            tpm_y_channel: 8
            tpm_x_channel: 9
            delays: 64
          sb08-05:
            location_offset:
              east: -16.47
              north: -7.351
              up: -0.089
            eep: 229
            smartbox: sb08
            smartbox_port: 5
            tpm: tpm14
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -38
          sb17-08:
            location_offset:
              east: 17.125
              north: -5.65
              up: 0.087
            eep: 230
            smartbox: sb17
            smartbox_port: 8
            tpm: tpm14
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: -46
          sb02-01:
            masked: true
            location_offset:
              east: -8.873
              north: 15.829
              up: -0.002
            eep: 231
            smartbox: sb02
            smartbox_port: 1
            tpm: tpm07
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 72
          sb11-07:
            location_offset:
              east: -4.193
              north: -17.611
              up: -0.054
            eep: 232
            smartbox: sb11
            smartbox_port: 7
            tpm: tpm04
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: -44
          sb22-10:
            location_offset:
              east: 14.996
              north: 10.254
              up: 0.062
            eep: 233
            smartbox: sb22
            smartbox_port: 10
            tpm: tpm01
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -1
          sb06-03:
            location_offset:
              east: -18.03
              north: 2.668
              up: -0.074
            eep: 234
            smartbox: sb06
            smartbox_port: 3
            tpm: tpm13
            tpm_y_channel: 18
            tpm_x_channel: 19
            delays: 7
          sb14-07:
            location_offset:
              east: 11.529
              north: -14.081
              up: 0.025
            eep: 235
            smartbox: sb14
            smartbox_port: 7
            tpm: tpm10
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: -46
          sb24-01:
            location_offset:
              east: 1.002
              north: 18.285
              up: 0.045
            eep: 236
            smartbox: sb24
            smartbox_port: 1
            tpm: tpm03
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: 66
          sb10-05:
            location_offset:
              east: -13.159
              north: -12.741
              up: -0.084
            eep: 237
            smartbox: sb10
            smartbox_port: 5
            tpm: tpm03
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: 0
          sb20-08:
            location_offset:
              east: 18.32
              north: 0.604
              up: 0.085
            eep: 238
            smartbox: sb20
            smartbox_port: 8
            tpm: tpm13
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 0
          sb03-01:
            location_offset:
              east: -13.944
              north: 12.036
              up: -0.038
            eep: 239
            smartbox: sb03
            smartbox_port: 1
            tpm: tpm05
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: 6
          sb12-09:
            location_offset:
              east: 2.173
              north: -18.269
              up: -0.038
            eep: 240
            smartbox: sb12
            smartbox_port: 9
            tpm: tpm09
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: -45
          sb23-10:
            location_offset:
              east: 10.768
              north: 15.031
              up: 0.061
            eep: 241
            smartbox: sb23
            smartbox_port: 10
            tpm: tpm04
            tpm_y_channel: 0
            tpm_x_channel: 1
            delays: -47
          sb08-03:
            location_offset:
              east: -18.16
              north: -3.74
              up: -0.082
            eep: 242
            smartbox: sb08
            smartbox_port: 3
            tpm: tpm15
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -39
          sb14-10:
            location_offset:
              east: 15.945
              north: -9.43
              up: 0.064
            eep: 243
            smartbox: sb14
            smartbox_port: 10
            tpm: tpm10
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: -47
          sb01-01:
            location_offset:
              east: -5.378
              north: 17.812
              up: 0.008
            eep: 244
            smartbox: sb01
            smartbox_port: 1
            tpm: tpm08
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: 68
          sb11-05:
            location_offset:
              east: -8.097
              north: -16.749
              up: -0.086
            eep: 245
            smartbox: sb11
            smartbox_port: 5
            tpm: tpm04
            tpm_y_channel: 22
            tpm_x_channel: 23
            delays: -44
          sb22-08:
            location_offset:
              east: 17.308
              north: 6.973
              up: 0.086
            eep: 246
            smartbox: sb22
            smartbox_port: 8
            tpm: tpm02
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: 0
          sb06-02:
            location_offset:
              east: -17.534
              north: 6.645
              up: -0.063
            eep: 247
            smartbox: sb06
            smartbox_port: 2
            tpm: tpm13
            tpm_y_channel: 26
            tpm_x_channel: 27
            delays: 8
          sb13-08:
            location_offset:
              east: 8.433
              north: -16.704
              up: -0.003
            eep: 248
            smartbox: sb13
            smartbox_port: 8
            tpm: tpm12
            tpm_y_channel: 14
            tpm_x_channel: 15
            delays: -45
          sb24-10:
            location_offset:
              east: 5.058
              north: 18.115
              up: 0.054
            eep: 249
            smartbox: sb24
            smartbox_port: 10
            tpm: tpm02
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: 65
          sb10-03:
            location_offset:
              east: -16.013
              north: -9.88
              up: -0.075
            eep: 250
            smartbox: sb10
            smartbox_port: 3
            tpm: tpm03
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 1
          sb17-10:
            location_offset:
              east: 18.52
              north: -3.441
              up: 0.1
            eep: 251
            smartbox: sb17
            smartbox_port: 10
            tpm: tpm14
            tpm_y_channel: 2
            tpm_x_channel: 3
            delays: -46
          sb02-02:
            location_offset:
              east: -11.329
              north: 15.156
              up: -0.02
            eep: 252
            smartbox: sb02
            smartbox_port: 2
            tpm: tpm07
            tpm_y_channel: 10
            tpm_x_channel: 11
            delays: 71
          sb12-08:
            location_offset:
              east: -1.837
              north: -18.778
              up: -0.06
            eep: 253
            smartbox: sb12
            smartbox_port: 8
            tpm: tpm09
            tpm_y_channel: 12
            tpm_x_channel: 13
            delays: -44
          sb23-09:
            location_offset:
              east: 14.096
              north: 12.694
              up: 0.066
            eep: 254
            smartbox: sb23
            smartbox_port: 9
            tpm: tpm04
            tpm_y_channel: 6
            tpm_x_channel: 7
            delays: -47
          sb06-04:
            location_offset:
              east: -19.01
              north: 0.228
              up: -0.08
            eep: 255
            smartbox: sb06
            smartbox_port: 4
            tpm: tpm13
            tpm_y_channel: 28
            tpm_x_channel: 29
            delays: 8
          sb14-08:
            location_offset:
              east: 13.896
              north: -12.982
              up: 0.042
            eep: 256
            smartbox: sb14
            smartbox_port: 8
            tpm: tpm10
            tpm_y_channel: 30
            tpm_x_channel: 31
            delays: -46
